glab(1)

NAME
glab-mr-note-create - Create a comment or discussion on a merge request. (EXPERIMENTAL)

SYNOPSIS
glab mr note create [ | ] [flags]

DESCRIPTION
Add a comment to a merge request. The command creates the comment as a new discussion thread.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-m, --message=""
    Comment or note message.

--unique[=false]
    Don't create a note if note with same body already exists. Reads all MR comments first.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Add a comment to merge request 123
    glab mr note create 123 -m "Looks good to me!"
    # Add a comment to the current branch's merge request
    glab mr note create -m "LGTM"
    # Open editor to compose the message
    glab mr note create 123
    # Pipe from stdin
    echo "LGTM" | glab mr note create 123
    # Skip if already posted
    glab mr note create 123 -m "LGTM" --unique

SEE ALSO
glab-mr-note(1)